# ColorCoding Class Reference

`#include <ColorCoding.h>`

Collaboration diagram for ColorCoding:
[legend]

List of all members.

## Public Slots
void | setShowColorMap (int showCheckState)
void | setTimestep (int timestep)
void | setChannel (int channelIndex)
## Public Member Functions
| ColorCoding (FlowScene *flowScene)
virtual | ~ColorCoding (void)
void | drawColorCoding (FlowData *flowData, int sceneWidth, int sceneHeight, QPointF pos, float zDistance, float xratio, float yratio)
void | initialize (FlowData *flowData)
void | updateTF ()
## Private Attributes
FlowScene * | m_flowScene
FlowData * | m_flowData
FlowChannel * | m_channel
Texture3D | m_colorDataTex3D
Texture1D | m_colorTFTex1D
Shader | m_colorShader
int | m_timestep
bool | m_showColorMap
float | m_zDistance
QPointF | m_pos
float | m_yratio
float | m_xratio

## Constructor & Destructor Documentation

ColorCoding::ColorCoding | ( | FlowScene * | flowScene | ) |

ColorCoding::~ColorCoding | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ColorCoding::drawColorCoding | ( | FlowData * | flowData,
|  | int | sceneWidth,
|  | int | sceneHeight,
|  | QPointF | pos,
|  | float | zDistance,
|  | float | xratio,
|  | float | yratio |
| ) |  |  |

Draws the colorcoding of the selected channel on the screen

Holds the complete flowdata With of the Scene Height of the Scene current position in the data (needed when zoom is activated zoomfactor

void ColorCoding::initialize | ( | FlowData * | flowData | ) |

void ColorCoding::setChannel | ( | int | channelIndex | ) | `[slot]`

void ColorCoding::setShowColorMap | ( | int | showCheckState | ) | `[slot]`

void ColorCoding::setTimestep | ( | int | timestep | ) | `[slot]`

void ColorCoding::updateTF | ( |  | ) |

## Member Data Documentation

FlowChannel* ColorCoding::m_channel`[private]`

Texture3D ColorCoding::m_colorDataTex3D`[private]`

Shader ColorCoding::m_colorShader`[private]`

Texture1D ColorCoding::m_colorTFTex1D`[private]`

FlowData* ColorCoding::m_flowData`[private]`

FlowScene* ColorCoding::m_flowScene`[private]`

QPointF ColorCoding::m_pos`[private]`

bool ColorCoding::m_showColorMap`[private]`

int ColorCoding::m_timestep`[private]`

float ColorCoding::m_xratio`[private]`

float ColorCoding::m_yratio`[private]`

float ColorCoding::m_zDistance`[private]`

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/ColorCoding.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/ColorCoding.cpp